net.fortuna.ical4j.model.parameter

## Class TzId

- java.lang.Object
- - net.fortuna.ical4j.model.Content
  - - net.fortuna.ical4j.model.Parameter
    - - net.fortuna.ical4j.model.parameter.TzId

All Implemented Interfaces:
  Serializable, Escapable

    public class TzId
    extends Parameter
    implements Escapable

$Id$ [18-Apr-2004] Defines a Time Zone Identifier parameter.

Author:
  benfortuna
See Also:
  Serialized Form

### Field Summary

Fields
`static String` `PREFIX` Timezone identifier prefix.

### Fields inherited from class net.fortuna.ical4j.model.Parameter

`ABBREV, ALTREP, CN, CUTYPE, DELEGATED_FROM, DELEGATED_TO, DIR, ENCODING, EXPERIMENTAL_PREFIX, FBTYPE, FMTTYPE, LANGUAGE, MEMBER, PARTSTAT, RANGE, RELATED, RELTYPE, ROLE, RSVP, SCHEDULE_AGENT, SCHEDULE_STATUS, SENT_BY, TYPE, TZID, VALUE, VVENUE`

### Constructor Summary

Constructors
Constructor and Description
`TzId(String aValue)`

### Method Summary

Methods
`String` `getValue()`

### Methods inherited from class net.fortuna.ical4j.model.Parameter

`copy, equals, getName, hashCode, isQuotable, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### PREFIX

    public static final String PREFIX

Timezone identifier prefix.

See Also:
  Constant Field Values

### Constructor Detail

#### TzId

    public TzId(String aValue)

Parameters:
  `aValue` - a string representation of a time zone identifier

### Method Detail

#### getValue

    public final String getValue()

Specified by:
  `getValue` in class `Content`
Returns:
  the content value